Android

To integrate the Kaltura Player Android SDK, the minimum system requirements are:

  • IDE: Android Studio 2.0 or later (see developer.android.com/sdk)
  • OS version: Android 4.1 or later.
  • Java JDK 7 or later (see www.oracle.com/downloads)
  • Android SDK and Android SDK Tools (install these from within Android Studio - see this article for details).

Developer Skills

Developers should have some background knowledge and experience with system setup before building Mobile SDK applications.

The required developer skillsets includes:
* Familiarity with video delivery formats, ad delivery, DRM (when needed), login and passcode flows (these are essential for designing and debugging Mobile SDK applications).
* At least 1-2 years of experience with the relative coding language Java (for Android development)
* Hybrid requirement: Proficiency in HTML5 and JavaScript languages.